org.apache.cassandra.io.util

## Interface IAllocator

- All Known Implementing Classes:
    JEMallocAllocator, NativeAllocator

      public interface IAllocator

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `allocate(long size)`
    `void` | `free(long peer)`

- - ### Method Detail

    - #### allocate

          long allocate(long size)

    - #### free

          void free(long peer)

Copyright © 2014 The Apache Software Foundation